#3550 path not found: ./locale/, check your language directory.

3.4.0
fixed
nobody
1
2014-08-19
2012-04-09
Ruben Barkow
No

i get this error unless i create the folder by hand:
mkdir /usr/share/phpmyadmin/locale
i think the errormessage should be changed to:
path not found: /usr/share/phpmyadmin/locale/, create the language directory with mkdir (and chown it to the right user)
or so

Discussion

  • What you are suggesting is a full path disclosure, which is a security vulnerability.

     
    • status: open --> pending
     
  • Ruben Barkow
    Ruben Barkow
    2012-04-09

    • status: pending --> open
     
  • Ruben Barkow
    Ruben Barkow
    2012-04-09

    ok, But the message should be changed:

    instead of
    "check your language directory."
    it should be
    "create the language directory"
    with mkdir (and chown it to the right user) or so

    in case it doesent exist.

    it is a strange message, cause i freshly installed with apt-get and and got this error.
    so a bit better warning would be nice (with solution)

     
  • What is your operating system?

     
    • status: open --> pending
     
  • Ruben Barkow
    Ruben Barkow
    2012-04-09

    • status: pending --> open
     
  • Ruben Barkow
    Ruben Barkow
    2012-04-09

    linux debian squeeze

     
  • Marc Delisle
    Marc Delisle
    2012-04-11

    Are you sure you are talking about version 3.4.0 ? I cannot find this message.

     
  • Ruben Barkow
    Ruben Barkow
    2012-04-12

    i get this error on Version 3.4.0-dev on main.php when i delete the folder
    cd /usr/share/phpmyadmin
    rmdir locale/

    i don't get it in 4.0.0 so maybe its fixed already

     
  • Marc Delisle
    Marc Delisle
    2012-04-12

    • status: open --> pending
     
  • Marc Delisle
    Marc Delisle
    2012-04-12

    Sorry but version 3.4.0-dev is not a released version. Current stable version is 3.5.0. Version 4.0.0 does not exist, maybe you mean 4.0.0.

    Anyway, as I said, I could not find this message in version 3.4.0.

     
  • Marc Delisle
    Marc Delisle
    2012-04-12

    Typo: "maybe you mean 4.0.0-dev"

     
  • Ruben Barkow
    Ruben Barkow
    2012-04-12

    no, i still have 3.4.0-dev there, so i guess you can close this ticket

     
  • Ruben Barkow
    Ruben Barkow
    2012-04-12

    • priority: 5 --> 1
    • status: pending --> open
     
  • Marc Delisle
    Marc Delisle
    2012-04-12

    • status: open --> closed
     
  • Michal Čihař
    Michal Čihař
    2013-06-11

    • Status: closed --> fixed